package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.Deleted_childRepository;
import com.realnet.basicp1.Entity.Deleted_child
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;


















	import org.springframework.stereotype.Service;

@Service
 public class Deleted_childService {
@Autowired
private Deleted_childRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;

















public Deleted_child Savedata(Deleted_child data) {


















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Deleted_child save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Deleted_child> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Deleted_child> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Deleted_child> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Deleted_child getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Deleted_child update(Deleted_child data,Integer id) {
	Deleted_child old = Repository.findById(id).get();
old.setFull_name(data.getFull_name());

old.setAgent(data.getAgent());

old.setSupplier_acknowledged (data.isSupplier_acknowledged());

old.setStatus(data.getStatus());

old.setEntry_date(data.getEntry_date());

old.setApplication_code(data.getApplication_code());

old.setEmail_id(data.getEmail_id());

old.setPhone_number(data.getPhone_number());

old.setSupplier(data.getSupplier());

final Deleted_child test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 


















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
